FactoryBot.define do
  factory :gift_certificate, class: 'Cats::Core::GiftCertificate' do
    reference_no { FFaker::Name.name }
    gift_date { Date.today - 1.month }
    donation
    commodity_category
    vessel { FFaker::Name.name }
    port { FFaker::Name.name }
    customs_declaration_no { FFaker::Name.name }
    purchase_year { 1 }
    expiry_date { Date.today + 6.month }
    bill_of_lading_no { FFaker::Name.name }
    amount { 1.5 }
    estimated_price { 1.5 }
    estimated_tax { 1.5 }
  end
end
