FactoryBot.define do
  factory :commodity, class: 'Cats::Core::Commodity' do
    batch_no { FFaker::Name.name }
    description { FFaker::Name.name }
    unit_of_measure
    commodity_category
    source factory: :gift_certificate
    quantity { 100 }
    best_use_before { Date.today + 2.month }
    volume_per_metric_ton { 10 }
    arrival_status { Cats::Core::Commodity::AT_SOURCE }
    approved { false }
  end
end
