FactoryBot.define do
  factory :location, class: 'Cats::Core::Location', aliases: [:parent] do
    name { FFaker::Name.name }
    location_type { Cats::Core::Location::REGION }
    ancestry { nil }
  end

  factory :warehouse, parent: :location, class: 'Cats::Core::Location' do
    location_type { Cats::Core::Location::WAREHOUSE }
    parent
  end

  factory :woreda, parent: :location, class: 'Cats::Core::Location' do
    location_type { Cats::Core::Location::WOREDA }
    parent
  end
end
