FactoryBot.define do
  factory :role_menu, class: 'Cats::Core::RoleMenu' do
    transient do
      am { create(:application_module) }
      r { create(:role, application_module: am) }
      m { create(:menu, application_module: am) }
    end
    role { r }
    menu { m }
    description { FFaker::Name.name }
  end
end
