FactoryBot.define do
  factory :store, class: 'Cats::Core::Store' do
    name { FFaker::Name.name }
    length { 50 }
    width { 40 }
    height { 10 }
    temporary { false }
    has_gangway { false }
    gangway_length { 50 }
    gangway_width { 4 }
    gangway_corner_dist { 18 }
    warehouse
    store_keeper factory: :user
    store_keeper_id { create(:user).id }
  end
end
